## org.apache.cassandra.db
Class CounterMutation

    java.lang.Object
      org.apache.cassandra.db.CounterMutation

All Implemented Interfaces:
  IMutation

    public class CounterMutation

extends java.lang.Object
implements IMutation

Constructor Summary
`CounterMutation(RowMutation rowMutation, ConsistencyLevel consistency)`

Method Summary
`void` `addAll(IMutation m)`
`void` `apply()`
`ConsistencyLevel` `consistency()`
`java.util.Collection<java.lang.Integer>` `getColumnFamilyIds()`
`java.lang.String` `getTable()`
`java.nio.ByteBuffer` `key()`
`Message` `makeMutationMessage(int version)`
`RowMutation` `makeReplicationMutation()`
`RowMutation` `rowMutation()`
`static org.apache.cassandra.db.CounterMutationSerializer` `serializer()`
`boolean` `shouldReplicateOnWrite()`
`java.lang.String` `toString()`
`java.lang.String` `toString(boolean shallow)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CounterMutation

    public CounterMutation(RowMutation rowMutation,
                           ConsistencyLevel consistency)

Method Detail

### getTable

    public java.lang.String getTable()

  Specified by:
    `getTable` in interface `IMutation`

### getColumnFamilyIds

    public java.util.Collection<java.lang.Integer> getColumnFamilyIds()

  Specified by:
    `getColumnFamilyIds` in interface `IMutation`

### key

    public java.nio.ByteBuffer key()

  Specified by:
    `key` in interface `IMutation`

### rowMutation

    public RowMutation rowMutation()

### consistency

    public ConsistencyLevel consistency()

### serializer

    public static org.apache.cassandra.db.CounterMutationSerializer serializer()

### makeReplicationMutation

    public RowMutation makeReplicationMutation()
                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### makeMutationMessage

    public Message makeMutationMessage(int version)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### shouldReplicateOnWrite

    public boolean shouldReplicateOnWrite()

### apply

    public void apply()
               throws java.io.IOException

  Specified by:
    `apply` in interface `IMutation`
  Throws:
    `java.io.IOException`

### addAll

    public void addAll(IMutation m)

  Specified by:
    `addAll` in interface `IMutation`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toString

    public java.lang.String toString(boolean shallow)

  Specified by:
    `toString` in interface `IMutation`

Copyright © 2013 The Apache Software Foundation